• Pop!_Planet is still very much under development. Data for the wiki is being sourced from the Arch Linux and Ubuntu wikis, along with a bunch of completely unique content specific to Pop!_OS, and sourcing, converting and updating that content takes time; please be patient. If you can't find what you're looking for here, check the Arch Linux and Ubuntu wikis.
  • Happy New Year!

    I'll get straight to the point.

    When I started Pop!_Planet, I launched it because I saw a need for a centralized community for Pop!_OS. To be frank, I never expected the level of popularity it has achieved. Over the last year, we have gone from under 50 users, to almost 400 users. That's awesome! However... it also comes with a downside. We are rapidly running out of disk space on our server, and the bandwidth costs go up every month.

    Pop!_Planet is not affiliated with System76 in any way, and is funded completely out of pocket. From day one, I said that I'd never use on-site ads (I hate them as much as you do), so the only monetization we get is through donations. Right now, the donations we receive don't even cover our overhead.

    I know that most users will ignore this message, and that's ok. However, if even a few of our users are willing and able to donate a few dollars to help offset our expenses, it would be greatly appreciated.

    Support Pop!_Planet

    Thank you for your time,

    Dan Griffiths
    Pop!_Planet Founder

New upgrade system worked fine for me!

Gnuserland

Member
Jul 2, 2019
93
1
8
write.snopyta.org
Hi there,

I just updated to 19.10 with the new system upgrade and despite all my unusual settings and encryption it worked flawless... the only issue: just a couple of gnome extensions broken!

Good job! đź‘Ź
 

00dsway

New member
Jun 7, 2019
6
0
4
FN42FK
Also using encryption and the upgrade using pop-upgrade went well. Afterwards, I was asked to upgrade "backport-iwlwifi-dkms" through a system pop-up message from Pop!_Shop and it failed at the end with error exit status 10. The wireless interface is working fine however. Any suggestions to work around the install error are appreciated.
 

Attachments

ramdal

New member
Apr 3, 2019
2
0
4
43
Hi there,

I just updated to 19.10 with the new system upgrade and despite all my unusual settings and encryption it worked flawless... the only issue: just a couple of gnome extensions broken!

Good job! đź‘Ź
Well, glad 4 you
I am stuck in login loop. Does not recognize my password.
 

derpOmattic

Pop!_Muse
Trusted User
Founding Member
Nov 23, 2018
633
58
20
www.patreon.com
I am stuck in login loop. Does not recognize my password.
It happened to me once when upgarding to 19.04. I had to login with TTY4 (ctrl + alt + F4) then apply the config.bak. Yours may be caused by something different so just check the System76 article above.
 

00dsway

New member
Jun 7, 2019
6
0
4
FN42FK
Installing updates to 19.10 that landed today and the iwlwifi issue is causing errors in updates. Here is a portion of the relevant output from ~$ sudo apt upgrade -y
.
.
Setting up libopenjp2-7:amd64 (2.3.0-2build0.19.10.1) ...
Setting up backport-iwlwifi-dkms (7906-0ubuntu1) ...
Removing old backport-iwlwifi-7906 DKMS files...

------------------------------
Deleting module version: 7906
completely from the DKMS tree.
------------------------------
Done.
Loading new backport-iwlwifi-7906 DKMS files...
Building for 5.3.0-18-generic 5.3.0-19-generic
Building initial module for 5.3.0-18-generic
ERROR (dkms apport): kernel package linux-headers-5.3.0-18-generic is not supported
Error! Bad return status for module build on kernel: 5.3.0-18-generic (x86_64)
Consult /var/lib/dkms/backport-iwlwifi/7906/build/make.log for more information.
dpkg: error processing package backport-iwlwifi-dkms (--configure):
installed backport-iwlwifi-dkms package post-installation script subprocess returned error exit status 10
Setting up linux-headers-5.3.0-19 (5.3.0-19.20) ...
Setting up linux-headers-5.3.0-19-generic (5.3.0-19.20) ...
/etc/kernel/header_postinst.d/dkms:
* dkms: running auto installation service for kernel 5.3.0-19-generic
.
.

I have attached the full apt upgrade capture as well as /var/lib/dkms/backport-iwlwifi/7906/build/make.log (as text file).

Suggestions welcomed.
 

Attachments

8bg

New member
Sep 18, 2019
1
0
4
70
Upgrade to 19.10 also worked flawlessly for me on my (encrypted) darter5. I am surprised and impressed--don't think I've ever had a Debian-based upgrade finish without at least one significant issue!
 

Members online

No members online now.

Latest projects

Forum statistics

Threads
506
Messages
2,373
Members
435
Latest member
leonardobd